Skip Navigation Links
Exit Print View
| Oracle Solaris Cluster Geographic Edition Reference Manual

Search Scope:

- This Document
- Entire Library

### geopg

- create or manage protection groups

## SYNOPSIS

    /usr/cluster/bin/geopg -?

    /usr/cluster/bin/geopg -V

    /usr/cluster/bin/geopg add-device-group -p property [-p…] devicegroupname
    protectiongroupname

    /usr/cluster/bin/geopg add-replication-component -p property [-p…] configurationname
    protectiongroupname

    /usr/cluster/bin/geopg add-resource-group resourcegroup[,resourcegroup…]
    protectiongroupname

    /usr/cluster/bin/geopg create -s partnershipname -o localrole [-d datareplicationtype]
    [-p property [-p…]] protectiongroupname

    /usr/cluster/bin/geopg delete protectiongroupname

    /usr/cluster/bin/geopg get -s partnershipname [protectiongroupname]

    /usr/cluster/bin/geopg list [protectiongroupname] […]

    /usr/cluster/bin/geopg modify-device-group devicegroupname -p property [-p…]
    protectiongroupname

    /usr/cluster/bin/geopg modify-replication-component configurationname
    -p property [-p…] protectiongroupname

    /usr/cluster/bin/geopg remove-device-group devicegroupname protectiongroupname

    /usr/cluster/bin/geopg remove-replication-component configurationname protectiongroupname

    /usr/cluster/bin/geopg remove-resource-group resourcegroup[,resourcegroup…]
    protectiongroupname

    /usr/cluster/bin/geopg set-prop -p property [-p…] protectiongroupname

    /usr/cluster/bin/geopg start -e {local | global} [-n] protectiongroupname

    /usr/cluster/bin/geopg stop -e {local | global} [-D] protectiongroupname

    /usr/cluster/bin/geopg switchover -m newprimaryclustername [-f] protectiongroupname

    /usr/cluster/bin/geopg takeover [-f] protectiongroupname

    /usr/cluster/bin/geopg update protectiongroupname

    /usr/cluster/bin/geopg validate protectiongroupname

## DESCRIPTION

The `geopg` command enables you to configure and maintain protection groups. You can perform the following tasks:

- Configure a protection group between clusters that participate in a partnership. This task includes the configuration of associated data replication parameters.

- Add or remove resource groups and data-replication disk device groups.

- Add, modify, and remove data replication parameters that are associated with a protection group property.

- Retrieve the current configuration of a specific protection group or all defined protection groups.

- Activate a protection group.

- Deactivate a protection group.

- Switch over the role of a protection group.

- Take over the primary role of a protection group.

Before you create a protection group, ensure that the clusters that will host the protection group are already placed in a partnership.

To run the `geopg` command to create, modify, or delete a protection group, or a data-replication disk device group, you must be assigned the proper role-based access control (RBAC) rights profile.

If you have root access, you have permission to perform any operation. If you do not have root access, the following RBAC rights apply:

- Basic Solaris User. You can read information about Oracle Solaris Cluster Geographic Edition entities by running commands such as `geopg list`, `geohb list`, and `geops list`.

- Geo Management. You can perform all the read operations that someone with Basic Solaris User access can perform. You can use commands `geohb create`, `geopg switchover`, `geoadm start`, and `geoadm stop` to perform administrative and configuration operations.

For more information, see the `rbac`(5) man page and Geographic Edition Software and RBAC in Oracle Solaris Cluster Geographic Edition System Administration Guide.

The general form of this command is as follows:

`geopg` [subcommand] [options] [operands]

You can omit subcommand only if options specifies the option `-?`, `-o`, `-V`, or `-v`.

Each option of this command has a long form and a short form. Both forms of each option are given with the description of the option in the OPTIONS section of this man page.

### How Protection Groups Start

The `geopg start` command activates the protection group on both the primary and standby clusters. This activation starts the Oracle Solaris Cluster Geographic Edition management of the resource groups in the protection group. Depending on the form of the command that you use and on the cluster where you issue the command, activating the protection group might not start the resource groups on that cluster. The resource groups start, or are brought online, only on the primary cluster.

The `-e` option defines the scope of the `geopg start` command. If you specify `-e local`, the `geopg start` command runs on the cluster where you issue the command. If you specify `-e global`, the `geopg start` command runs on both clusters in the partnership.

The different forms of the command have the following effects:

- If you run the `geopg start -e local` command on the primary cluster, and if you run the `geopg start -e global` command on either cluster, the Oracle Solaris Cluster Geographic Edition software activates the protection group on both clusters in the partnership. The software brings online resource groups on the primary cluster only. The resource groups are put in a managed state.

- If you run the `geopg start -e local` command on the standby cluster, the Oracle Solaris Cluster Geographic Edition software activates the protection group on the standby cluster only. Resource groups are not started on the standby cluster. The resource groups are put in the `Unmanaged` state.

## SUBCOMMANDS

The following subcommands are supported:

`add-device-group`

  Enables a data-replication disk device group to be part of a protection group. The system performs this action on the local cluster, then propagates the action to the partner cluster.

`add-replication-component`

  Enables a data-replication component to be part of a protection group. The system performs this action on the local cluster, then propagates the action to the partner cluster.

`add-resource-group`

  Enables an application resource group to be part of a protection group. The system performs this action on the local cluster, then propagates the action to the partner cluster.

  If a protection group is active when you add a resource group, the resource group must be in either the `Unmanaged` or `Online` state. To start an unmanaged resource group, run the `geopg start` command.

  If a protection group is inactive, the resource group must be in the `Unmanaged` state when you add the resource group. If the resource group is offline, bring the resource group to the `Unmanaged` state before adding the resource group to an inactive protection group.

`create`

  Creates a protection group within an existing partnership. The system performs this action on only the local cluster.

`delete`

  Deletes a protection group. The system performs this action on only the local cluster.

`get`

  Creates the local configuration for a protection group that already exists on the remote partner cluster by retrieving the configuration from the partner cluster. If you do not specify a protection group name, all the protection groups that have been configured for the partnership on the remote cluster will be created on the local cluster. The system performs this action on only the local cluster.

`list`

  Displays the following information about the protection group:

  - Defined protection groups

  - Resource groups that are wrapped into protection groups

  - Operation status information

  If you do not specify the name of a protection group, the `list` subcommand displays information for all the protection groups configured on the local cluster. The system performs this action on only the local cluster.

`modify-device-group`

  Modifies the properties of a data-replication disk device group. The system performs this action on the local cluster, then propagates the action to the partner cluster.

`modify-replication-component`

  Modifies the properties of a data-replication component. The system performs this action on the local cluster, then propagates the action to the partner cluster.

`remove-device-group`

  Removes data-replication disk device groups from a protection group. The system performs this action on the local cluster, then propagates the action to the partner cluster.

  Removing a data-replication disk device group does not stop data replication or change the data-replication status for that data-replication disk device group.

`remove-replication-component`

  Removes data-replication components from a protection group. The system performs this action on the local cluster, then propagates the action to the partner cluster.

  Removing a data-replication component does not stop data replication or change the data-replication status for that data-replication component.

`remove-resource-group`

  Removes resource groups from a protection group. The system performs this action on the local cluster, then propagates the action to the partner cluster.

  Removing an application resource group does not change the application resource group to the `Unmanaged` state.

`set-prop`

  Modifies the properties of a protection group. The system performs this action on the local cluster, then propagates the action to the partner cluster.

`start`

  Starts a protection group. When you start a protection group for the first time, the role of the protection group on a cluster is the role that was assigned to the protection group when you created the protection group. After that, the protection group starts with the latest role it was given.

  The `start` subcommand uses Oracle Solaris Cluster commands to bring resources and resource groups under the management of the protection group.

  You can start a protection group on the following levels, depending on whether you specify `local` or `global` to the `-e` option:

  - With the `-e global` option, starts the protection group on all clusters where the protection group has been configured

  - With the `-e local` option, starts the protection group on either the primary cluster or standby cluster, whichever cluster the command is issued from

  For more details about activating a protection group and the effects on the resource groups in that protection group, see “How Protection Groups Start” in the DESCRIPTION section of this man page.

  Starting a protection group enables the following events to occur:

  - The protection group configuration is validated.

  - Clusters can determine whether an operation has been completed.

  - Data replication can be started, depending on the data replication that you use.

    - When using StorageTek Availability Suite software, you can start data replication from the primary cluster only.

    - When using Hitachi TrueCopy, Hitachi Universal Replicator, or EMC Symmetrix Remote Data Facility (SRDF) software, you can start data replication from either the primary or standby cluster.

    - When using the Oracle Data Guard software, you can start data replication from the primary cluster by using the local or the global scope.

    For all supported data replication software, you must not specify the `-n` option when using this form of the command.

  - Protected applications can be started.

  - If the partner can be reached, the partner cluster can be notified of the protection group activation.

  Note - Protection groups that are referred to as “online” are active protection groups.

`stop`

  Stops a protection group. You can stop a protection group on the following levels, depending on whether you specify `local` or `global` to the `-e` option:

  - With the `-e global` option, stops the protection group on all clusters where the protection group has been configured

  - With the `-e local` option, stops the protection group on either the primary or standby cluster, whichever cluster the command is issued from

  Stopping a protection group enables the following events to occur:

  - The protection group becomes inactive.

  - Data replication and application resource groups stop. You can prevent application resource groups from stopping by taking the resource groups out of the protection group before you stop the protection group.

    - When using StorageTek Availability Suite software, you can stop data replication from the primary cluster only.

    - When using Hitachi TrueCopy, Hitachi Universal Replicator, or EMC Symmetrix Remote Data Facility (SRDF) software, you can stop data replication from either the primary or standby cluster.

    - When using Oracle Data Guard, you can stop data replication from either the primary or standby cluster, by using either the local or the global scope.

  - If the partner cluster is reachable, the partner cluster is notified that the protection group has been stopped.

`switchover`

  Switches the assigned role of a cluster in the protection group. You must start the protection group before you can perform a switchover. The system performs this action on the local cluster, then propagates the action to the partner cluster.

`takeover`

  Forces a cluster to become the `primary` cluster without considering the partner cluster state. The system performs this action on the local cluster, then propagates the action to the partner cluster.

  If you issue a takeover from the standby cluster and the cluster is able to communicate with the partner cluster, the Oracle Solaris Cluster Geographic Edition software switches the role of the partner cluster so that the partner cluster becomes the new standby. This operation is not the same as a switchover. The protection group is deactivated on the new standby.

  After the `geopg takeover` command successfully completes, reactivating the protection group on the standby cluster might require that you recover and synchronize data.

  Note - When possible, run the `geopg switchover` command instead of the `geopg takeover` command to coordinate between partner clusters to avoid loss of replicated data.

  Run the `geopg takeover` command only in situations when the primary cluster is not available or during unplanned downtime. The situation must justify a potential loss of data and the time required to repair and to reactivate the protection group on the standby cluster.

`update`

  Resynchronizes the configuration information of the local protection group with the partner's configuration information. The `geopg update` command overwrites the configuration information of the protection group on the local cluster with the configuration information from the partner cluster. This command does not overwrite replicated data. The system performs this action on only the local cluster.

`validate`

  Validates a protection group on the local cluster by performing a sanity check of the dynamic values. The system performs this action on only the local cluster.

## OPTIONS

The following options are supported:

`-?`
`--help`

  Displays help information. When this option is used, no other processing is performed.

  You can specify this option with or without a subcommand.

  If you specify this option without a subcommand, the list of subcommands for this command is displayed.

  If you specify this option with a subcommand, the usage options for the subcommand are displayed.

  The question mark might be interpreted as a special character by some shells. Use quotes (`-"?"`) or an escape character to avoid pattern matching.

`-D`
`--only-datarep`

  Specifies that only the data replication should be deactivated, leaving the protection group active. If you do not use this option, the entire protection group is deactivated. To stop a protection group that has already had its data replication subsystem stopped, you must run the `geopg stop` command again and omit this option.

`-d` datareplicationtype
`--datarep-type` datareplicationtype

  Specifies the data replication mechanism for data replication between the clusters of the protection group.

  The datareplicationtype must be one of the following strings:

  `avs`

    Specifies that the data replication mechanism is StorageTek Availability Suite Remote Mirror, with patches.

  `odg`

    Specifies that the data replication mechanism is Oracle Data Guard.

  `srdf`

    Specifies that the data replication mechanism is the dynamic EMC Symmetrix Remote Data Facility (SRDF).

  `truecopy`

    Specifies that the data replication mechanism is Hitachi TrueCopy or Hitachi Universal Replicator.

`-e` `{local|global}`
`--scope` `{local|global}`

  Specifies whether the command operates only on the local cluster, `local`, or on both clusters, `global`, where the protection group has been configured.

`-f`
`--force`

  Forces the command to perform the operation without asking you for confirmation.

`-m` newprimarycluster
`--primary` newprimarycluster

  Specifies the name of the cluster that is to be the new primary cluster for the protection group.

`-n`
`--nodatarep`

  This option is only valid when starting a protection group that is not active. If the protection group is not active, it is started without data replication. If data replication for this protection group is already running independently, it is stopped before the protection group is started.

  If the protection group is already active with data replication enabled, data replication is not stopped. An error message is displayed that states that the `geopg stop -D` command should be used to stop data replication for an active protection group.

  If this option is omitted, data replication starts at the same time as the protection group.

`-o` localrole
`--role` localrole

  Specifies the role of the local cluster as either `primary` or `secondary` when used with the `create` subcommand. You can change the role of a cluster by running the `geopg switchover` command.

`-p` property
`--property` property

  Sets the properties of a protection group.

  A protection group property is assigned a value by using a `name=statement` pair statement. You can set multiple properties at one time by using multiple statements.

  See the EXTENDED DESCRIPTION section for defined properties.

`-s` partnershipname
`--partnership` partnershipname

  Specifies the name of the existing partnership where the protection group is configured.

`-V`
`--version`

  Displays the version of the command.

  Do not specify this option with subcommands, operands, or other options, as they are ignored. The `-V` option only displays the version of the command. No other operations are performed.

## OPERANDS

The following operands are supported:

configurationname

  Specifies the name of any device group or replicated component that you want to add.

devicegroupname

  Specifies the name of the disk device group to be created or added to the protection group.

protectiongroupname

  Specifies the name of the protection group. The `create` subcommand fails if the protection group that you specify with this option already exists. The `modify` subcommand fails if the specified protection group is not valid.

resourcegroupname

  Specifies a comma-separated list of resource groups to add to or delete from the protection group. The specified resource groups must already be defined.

  If a protection group is active when you add a resource group, the resource group must be in either the `Unmanaged` or `Online` state. To start an unmanaged resource group, run the `geopg start` command.

  If the protection group is inactive when you add a resource group, the resource group must be in the `Unmanaged` state before you add the resource group.

## EXTENDED DESCRIPTION

This section contains descriptions of properties that you can specify.

Note - Property values, such as `true` and `false`, are not case sensitive.

### General Protection Group Properties

`Description` (`string`)

  Describes the protection group. The system sets this property on the local cluster, then propagates the value to the partner cluster.

  Category:

    Optional

  Default:

    None

  Tunable:

    Assigned at creation and tunable at runtime

`External_Dependency_Allowed` (`boolean`)

  Specifies whether to allow any dependencies between resource groups and resources that belong to this protection group and resource groups and resources that do not belong to this protection group. The system sets this property on the local cluster, then propagates the value to the partner cluster.

  Category:

    Optional

  Default:

    `False`

  Tunable:

    Any time

`RoleChange_ActionArgs` (`string`)

  Specifies the arguments that follow the system-defined arguments that are paired with the role change callback script during a protection group switchover or takeover. The system sets this property on the local cluster, then propagates the value to the partner cluster.

  Category:

    Optional

  Default:

    None

  Tunable:

    Assigned at creation and tunable at runtime

`RoleChange_ActionCmd` (`string`)

  Specifies the absolute path to the executable file to run when the primary cluster of the protection group changes. This file should exist on all nodes of both partner clusters that host the protection group. This script is run before the application resource group is brought online on the new primary cluster. The system sets this property on the local cluster, then propagates the value to the partner cluster.

  Category:

    Optional

  Default:

    None

  Tunable:

    Assigned at creation and tunable at runtime

`Timeout` (`integer`, but you must specify a value equal to or greater than 20)

  Specifies, in seconds, the longest time that the Oracle Solaris Cluster Geographic Edition software waits for a response after running a `geopg` command. Examples of responses include `start`, `stop`, `switchover`, and `takeover`. If the command does not return within the `timeout` period, the Oracle Solaris Cluster Geographic Edition software reports the operation as timed out, even if the underlying command that was run eventually completes successfully.

  The `timeout` period applies to operations on a per-cluster basis. An operation with a local scope times out if the operation is not completed after the specified `timeout` period.

  An operation with a global scope consists of an action on the local cluster and an action on the remote cluster. The local and remote actions are timed separately. So, an operation with a global scope times out if the local operation is not completed after the specified `timeout` period or if the remote operation is not completed after the specified `timeout` period.

  For example, the following command is started with a local scope:

      # geopg start -e local protectiongroupname

  If you set the `timeout` property 3000 seconds, the `geopg start` command times out if the operation does not complete after 3000 seconds.

  You can start the same command with a global scope as follows:

      # geopg start -e global protectiongroupname

  If the `timeout` property is set to 3000 seconds, the `geopg start` command times out if the operation is not completed on the local cluster after 3000 seconds or if the operation is not completed on the remote cluster after 3000 seconds. If the local action takes 1500 seconds and the remote action takes 1500 seconds, the operation is not timed out.

  The protection group `timeout` value is an estimated value that is applied to some sub-operations. The `timeout` value does not apply to the entire operation, so not every operation on a protection group is timed against the `timeout` period. For example, the time taken to initialize the data structure and to check for the precondition of the operation are not timed in the `timeout` period.

  You can specify a maximum of 1,000,000 (one million) seconds for the `timeout` property.

  Category:

    Optional

  Default:

    3600

  Tunable:

    Assigned at creation and tunable at runtime

### StorageTek Availability Suite Data Replication Type Properties

Device group property: `Enable_volume_set` (`boolean`)

  Determines whether the volume sets that are defined in the `/var/cluster/geo/avs/AVS-devicegroup-volset.ini` file, and the fallback snapshots that are defined in the `/var/cluster/geo/avs/AVS-devicegroup-snapshot.ini` file are to be enabled by the Oracle Solaris Cluster Geographic Edition 3.3 software. You can set this property to `True` or to `False`. The system sets this property on the local cluster, then propagates the value to the partner cluster.

  If the `enable_volume_set` property is set to `True`, volume sets that are defined in the `/var/cluster/geo/avs/AVS-devicegroup-volset.ini` file are enabled when the device group is added to the protection group or when the protection group that contains the device group is replicated from the partner cluster. Any volume sets of that device group that are not defined in the file are disabled. The `/var/cluster/geo/avs/AVS-devicegroup-volset.ini` file must exist on every node of the primary and standby cluster. In addition, if the `enable_volume_set` property is set to `True`, the fallback snapshots defined in the`/var/cluster/geo/avs/AVS-devicegroup-snapshot.ini` file are enabled. A fallback snapshot is a compact dependent shadow volume that is created immediately prior to the resynchronization of a secondary replicated volume in the Oracle Solaris Cluster Geographic Edition software. If resynchronization fails, the secondary replicated volume can be reconstructed by using the fallback snapshot. The `/var/cluster/geo/avs/AVS-devicegroup-snapshot.ini` file must exist on any node of a cluster on which a fallback snapshot will be automatically enabled. Fallback snapshot configuration is optional.

  If the `Enable_volume_set` property is set to `False`, you must manually enable volume sets and fallback snapshots by using the StorageTek Availability Suite commands.

  The following parameters in the volume set file are handled by Oracle Solaris Cluster Geographic Edition software:

  `phost`

    Primary host. The logical host of the server on which the primary volume resides.

  `pdev`

    Primary device. Primary volume partition. Specify full path names only.

  `pbitmap`

    Primary bitmap. Volume partition in which the bitmap of the primary partition is stored. Specify full path names only.

  `shost`

    Secondary host. The logical host of the server on which the secondary volume resides.

  `sdev`

    Secondary device. Secondary volume partition. Specify full path names only.

  `sbitmap`

    Secondary bitmap. Volume partition in which the bitmap of the secondary partition is stored. Specify full path names only.

  `ip`

    Network transfer protocol. IP address.

  `sync | async`

    Operating mode. In `sync` mode, the I/O operation is confirmed as complete only when the volume on the standby cluster has been updated. In `async` mode, the primary host I/O operation is confirmed as complete before updating the volumes on the standby clusters.

  `g iogroupname`

    I/O group name. The set must be configured in the same I/O group on both the primary and standby clusters. This parameter is optional and need only be configured if you have an I/O group.

  `q qdev`

    Disk queue volume. Full path name for the volume to be used as a disk-based I/O queue for an asynchronous disk set (beginning with the Sun Cluster Geographic Edition 3.2 11/09 release).

  `C devicegroupname`

    Device group name. The device group name or resource tag of the local data and bitmap volumes in cases where this information is not implied by the name of the volume. For example, `/dev/md/avsset/rdsk/vol` indicates a device group named `avsset`. It can be Solaris Volume Manager volumes, Veritas Volume Manager volumes, or raw device volumes.

  Note - Oracle Solaris Cluster Geographic Edition software does not handle other parameters of the volume set file, such as size of memory queue or number of asynchronous threads. You must adjust these parameters manually by using StorageTek Availability Suite commands. In releases prior to Sun Cluster Geographic Edition 3.2 11/09, the disk queue must also be configured manually.

  The parameters required to enable a fallback snapshot for a replicated volume are shown in the following example line from a `AVS-devicegroup-snapshot.ini` configuration file. This line defines one compact dependent shadow volume that is to be created immediately prior to a resynchronization of the listed secondary volume. Each line of the `AVS-devicegroup-snapshot.ini` file configures a fallback snapshot for one secondary volume in the device group in the format shown in the following example:

      /dev/md/avsset/rdsk/d100  /dev/md/avsset/rdsk/d102  /dev/md/avsset/rdsk/d103

  Each line in the `AVS_devicegroup-snapshot.ini` file contains the following types of entries:

  - `/dev/md/avsset/rdsk/d100` – Secondary replicated volume

  - `/dev/md/avsset/rdsk/d102` – Fallback snapshot volume

  - `/dev/md/avsset/rdsk/d102` – Fallback snapshot bitmap

  Category:

    Optional

  Default:

    `False`

  Tunable:

    Until you add the device group to a protection group

Device group property: `Local_logical_host` (`string`)

  Defines the local logical host name that is used for the replication of the disk device group. Do not use an underscore character (_) in the logical host name. The name is also set on the partner cluster as the `Remote_logical_host` value.

  Category:

    Required

  Default:

    None

  Tunable:

    Until you add the device group to a protection group

Data replication property: `Nodelist` (`stringarray`)

  Lists the host names of the machines that can be primary for the replication mechanism. You can specify more than one host name by separating each host name with a comma. The system sets this property value on only the local cluster.

  Category:

    Optional

  Default:

    All nodes in the cluster

  Tunable:

    Only when the protection group is inactive

Device group property: `Remote_logical_host` (`string`)

  Specifies the remote logical host name that is used for the replication of the disk device group. The name is also set on the partner cluster as the `Local_logical_host` value.

  Category:

    Required

  Default:

    None

  Tunable:

    Until you add the device group to a protection group

### EMC Symmetrix Remote Data Facility Data Replication Type Properties

Data replication property: `Cluster_dgs` (`stringarray`)

  Lists the disk device groups where the data is written. You can specify more than one disk group by separating each disk group with a comma. The system sets this property on the local cluster, then propagates the value to the partner cluster.

  Category:

    Optional

  Default:

    Empty

  Tunable:

    Only when the protection group is inactive on both partner clusters

Data replication property: `DG_or_CG` (`string`)

  Specifies the device group identifier as “SRDF Device Group.” You must set this property to `DG`. The system sets this property on the local cluster, then propagates the value to the partner cluster.

  Category:

    Optional

  Default:

    `DG`

  Tunable:

    Never

Data replication property: `Nodelist` (`stringarray`)

  Lists the host names of the machines that can be primary for the replication mechanism. This list is comma delimited. The system sets this property value on only the local cluster.

  Category:

    Optional

  Default:

    Empty

  Tunable:

    Any time

Data replication property: `R1_SID` (`integer`)

  Specifies the Symmetrix Remote Data Facility (SRDF) identification of the primary devices. The value also set on the partner cluster as the `R2_SID` value.

  Note - If you do not specify a value for this property when you add a device group, the Oracle Solaris Cluster Geographic Edition software searches for the value and sets the property automatically.

  Category:

    Required

  Default:

    None, until you add a Symmetrix Remote Data Facility (SRDF) device group

  Tunable:

    Any time

Data replication property: `R2_SID` (`integer`)

  Specifies the Symmetrix Remote Data Facility (SRDF) identification of the secondary devices. The value is also set on the partner cluster as the `R2_SID` value.

  Note - If you do not specify a value for this property when you add a device group, the Oracle Solaris Cluster Geographic Edition software searches for the value and sets the property automatically.

  Category:

    Required

  Default:

    None, until you add a Symmetrix Remote Data Facility (SRDF) device group

  Tunable:

    Any time

### Hitachi TrueCopy and Universal Replicator Data Replication Type Properties

Data replication property: `Cluster_dgs` (`stringarray`)

  Lists the disk device groups where the data is written. The list is comma delimited. The system sets this property on the local cluster, then propagates the value to the partner cluster.

  Category:

    Optional

  Default:

    Empty

  Tunable:

    Only when the protection group is inactive on both partner clusters

Device group property: `Fence_level` (`enum`)

  Defines the fence level that is used by the disk device group. The fence level determines the level of consistency among the primary and secondary volumes for that disk device group. Possible values are `data`, `status`, `never`, and `async`. The system sets this property on the local cluster, then propagates the value to the partner cluster.

  You can set this property to any valid `Fence_level` when the current pair state is `SMPL`.

  | Caution - If contact with the remote storage box is lost for any reason, to ensure that an application that is running on the primary cluster is not blocked, specify a `Fence_level` of `never` or `async`. If you specify a `Fence_level` of `data` or `status`, the primary storage box refuses updates if the updates cannot be copied to the remote storage box.

  Category:

    Required

  Default:

    None

  Tunable:

    Only when the protection group is inactive

Data replication property: `Nodelist` (`stringarray`)

  Lists the host names of the machines that can be primary for the replication mechanism. This list is comma delimited. The system sets this property value on only the local cluster.

  Category:

    Optional

  Default:

    Empty

  Tunable:

    Any time

### Oracle Data Guard Data Replication Type Properties

Data replication property: `local_database_name` (`string`)

  Name of the local Oracle database in the Oracle Data Guard Broker configuration that is being replicated to the remote cluster. This name is the Oracle `db_unique_name` initialization parameter for the Oracle database on the local cluster. The name is also set on the partner cluster as the `remote_database_name` value.

  Category:

    Required

  Default:

    None

  Tunable:

    At creation

Data replication property: `local_db_service_name` (`string`)

  Oracle net service name that is used to connect to the local Oracle database. The name is also set on the partner cluster as the `remote_db_service_name` value.

  Category:

    Required

  Default:

    None

  Tunable:

    Any time

Data replication property: `local_oracle_svr_rg_name` (`string`)

  Name of the local Oracle database server resource group that manages the local database in the Oracle Data Guard Broker configuration. The name is also set on the partner cluster as the `remote_oracle_svr_rg_name` value.

  Note - The previous name for this property, `local_rac_proxy_svr_rg_name`, is still valid.

  Category:

    Required

  Default:

    None

  Tunable:

    At creation

Data replication property: `remote_database_name` (`string`)

  Name of the remote database in the Oracle Data Guard Broker configuration that is being replicated from the local cluster. This name is the Oracle `db_unique_name` initialization parameter for the Oracle database on the remote cluster. The name is also set on the local cluster as the `local_database_name` value.

  Category:

    Required

  Default:

    None

  Tunable:

    At creation

Data replication property: `remote_db_service_name` (`string`)

  Oracle net service name that is used to connect to the remote Oracle database. The name is also set on the local cluster as the `local_db_service_name` value.

  Category:

    Required

  Default:

    None

  Tunable:

    Any time

Data replication property: `remote_oracle_svr_rg_name` (`string`)

  Name of the remote Oracle database server resource group on the partner cluster that manages the remote database in the Oracle Data Guard Broker configuration. The name is also set on the local cluster as the `local_oracle_svr_rg_name` value.

  Note - The previous name for this property, `local_rac_proxy_svr_rg_name`, is still valid.

  Category:

    Required

  Default:

    None

  Tunable:

    At creation

Data replication property: `replication_mode` (`string`)

  The Oracle Data Guard replication mode between the primary database and the standby database. The system performs the actual Oracle Data Guard Broker commands that set this property on the local cluster, then propagates the value to the partner cluster.

  Valid values to which you set this property include `maxAvailability`, `maxPerformance`, and `maxProtection`.

  Category:

    Required

  Default:

    None

  Tunable:

    Any time

Data replication property: `standby_type` (`string`)

  Type of Oracle standby database that is used in the Oracle Data Guard Broker configuration. The system sets this property on the local cluster, then propagates the value to the partner cluster. The system does not perform the actual commands that change this value in the Oracle Data Guard Broker configuration. Therefore, you must ensure that the value you specify for the `standby_type` property matches the type that is configured with Oracle Data Guard Broker.

  Valid values to which you set this property include `logical` and `physical`.

  Category:

    Required

  Default:

    None

  Tunable:

    At creation

  For Oracle 11g, you can convert a `physical` standby to a `snapshot` standby or the reverse. Consequently, indicating that a database is maintained as `physical` also covers the possibility that it might be converted to a `snapshot` standby. The replication probe does not raise an error or warning if a conversion between `physical` and `snapshot` standby is performed by the administrator.

Data replication property: `sysdba_password` (`string`)

  Password for the Oracle `SYSDBA` privileged database user. The system sets this property on the local cluster, then propagates the value to the partner cluster.

  Do not specify a password on the command line. If you specify only `-p sysdba_password=`, the `geopg` command prompts you to type an actual password, which is not displayed as you type it.

  If you use Oracle Wallet, the `sysdba_password` property can be left null (""). You must first set up Oracle Wallet and be able to log into Oracle Data Guard Broker by using `dgmgrl /@service_name` instead of `dgmgrl username/password@service_name`. The use of Oracle Wallet is not supported in an Oracle Solaris Cluster Geographic Edition configuration that includes a cluster that runs on the initial release of Oracle Solaris Cluster Geographic Edition 3.3.

  Category:

    Required if Oracle Wallet is not used

  Default:

    None

  Tunable:

    Any time

Data replication property: `sysdba_username` (`string`)

  Name of an Oracle `SYSDBA` privileged database user who can perform the Oracle Data Guard Broker switchover and takeover operations on both the primary and standby clusters. The Oracle Solaris Cluster Geographic Edition software uses this property to monitor and manage the Oracle Data Guard Broker configurations. The system sets this property on the local cluster, then propagates the value to the partner cluster.

  If you use Oracle Wallet, the `sysdba_username` property can be left null (""). You must first set up Oracle Wallet and be able to log into Oracle Data Guard Broker by using `dgmgrl /@service_name` instead of `dgmgrl username/password@service_name`. The use of Oracle Wallet is not supported in an Oracle Solaris Cluster Geographic Edition configuration that includes a cluster that runs on the initial release of Oracle Solaris Cluster Geographic Edition 3.3.

  Category:

    Required if Oracle Wallet is not used

  Default:

    None

  Tunable:

    Any time

## EXIT STATUS

The following exit values are returned:

`0`

  The command completed successfully.

nonzero

  An error occurred.

## EXAMPLES

Example 1 Adding an Oracle Data Guard Broker Configuration to a Protection Group

The following `geopg` command adds the Oracle Data Guard Broker configuration `mysales.com` to the protection group `sales-pg`.

To ensure security, do not supply a password when you specify the `sysdba_password` property. If you do not provide a password, the `geopg` command prompts for one, which is not displayed as you type it.

    phys-paris-1# geopg add-replication-component \
     -p local_database_name=sales \
     -p remote_database_name=salesdr \
     -p local_db_service_name=sales-svc \
     -p remote_db_service_name=salesdr-svc \
     -p standby_type=physical \
     -p replication_mode=MaxPerformance \
     -p sysdba_username=sys \
     -p sysdba_password= \
     -p local_oracle_svr_rg_name=sales-oracle-svr-rg \
     -p remote_oracle_svr_rg_name=salesdr-oracle-svr-rg \
     mysales.com sales-pg

    Oracle Data Guard configuration "mysales.com" successfully added to the
    protection group "sales-pg"

Example 2 Creating a Protection Group That Uses Data Replication

The following `geopg` command creates a StorageTek Availability Suite protection group `avspg` on the primary cluster `cluster-paris`.

    # geopg create -s paris-newyork-ps -d avs -o primary \ -p Nodelist=phys-paris-1,phys-paris-2 avspg

Example 3 Creating a Protection Group That Does Not Use Data Replication

The following `geopg` command creates a protection group `example-pg` that is not configured to use data replication.

    # geopg create -s paris-newyork-ps -o primary example-pg

Example 4 Deleting a Protection Group While Keeping Application Resource Groups Online

The following `geopg` command keeps two application resource groups, `apprg1` and `apprg2`, online while deleting their protection group, `avspg`. Remove the application resource groups from the protection group, then delete the protection group.

    # geopg remove-resource-group apprg1,apprg2 avspg
    # geopg stop -e global avspg
    # geopg delete avspg

Example 5 Modifying a Protection Group

The following `geopg` command modifies the timeout property of the protection group `avspg`.

    # geopg set-prop -p Timeout=3000 avspg

Example 6 Adding a Data Replication Device Group to a StorageTek Availability Suite Protection Group

The following `geopg` command creates a StorageTek Availability Suite data replication device group in the `avspg` protection group.

    # geopg add-device-group -p Local_logical_host=lh-paris-1 \ -p Remote_logical_host=lh-newyork-1 -p Enable_volume_set=True avsset avspg

If the command returns successfully, volume sets that are defined in the `/var/cluster/geo/avs/avsset-volset.ini` file are enabled. The file might look like this for a Solaris Volume Manager device group.

    lh-paris-1 /dev/md/avsset/rdsk/d100 /dev/md/avsset/rdsk/d101
    lh-newyork-1 /dev/md/avsset/rdsk/d100 /dev/md/avsset/rdsk/d101
    ip async q /dev/md/avsset/rdsk/d102 C avsset

The description of the parameters is as follows:

- `lhparis-1` — Primary host

- `/dev/md/avsset/rdsk/d100` — Primary data

- `/dev/md/avsset/rdsk/d101` — Primary bitmap

- `lh-newyork-1` — Secondary host

- `/dev/md/avsset/rdsk/d100` — Secondary data

- `/dev/md/avsset/rdsk/d101` — Secondary bitmap

- `ip` — Protocol

- `async` — Mode

- `q /dev/md/avsset/rdsk/d102` — disk queue

- `C` — C tag

- `avsset` — Device group

## ATTRIBUTES

See `attributes`(5) for descriptions of the following attributes.

ATTRIBUTE TYPE | ATTRIBUTE VALUE
--- | ---
Availability | SUNWscgctl
Interface Stability | Evolving

## SEE ALSO

`geoadm`(1M), `geohb`(1M), `geops`(1M), `rbac`(5)

Copyright © 2004, 2011, Oracle and/or its affiliates. All rights reserved. Legal Notices |